#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 taffybar
version:              4.0.0
visibility:           public
id:                   taffybar-4.0.0-IuYcCJ8Y7oX7JkE5NTjQll
key:                  taffybar-4.0.0-IuYcCJ8Y7oX7JkE5NTjQll
license:              BSD-3-Clause
maintainer:           IvanMalison@gmail.com
author:               Ivan Malison
homepage:             http://github.com/taffybar/taffybar
synopsis:             A desktop bar similar to xmobar, but with more GUI
category:             System
abi:                  89e3141e7410d66bbe01049cde19ec7c
exposed:              True
exposed-modules:
    System.Taffybar System.Taffybar.Auth System.Taffybar.Context
    System.Taffybar.DBus System.Taffybar.DBus.Toggle
    System.Taffybar.Example System.Taffybar.Hooks
    System.Taffybar.Information.Battery System.Taffybar.Information.CPU
    System.Taffybar.Information.CPU2 System.Taffybar.Information.Chrome
    System.Taffybar.Information.Crypto
    System.Taffybar.Information.DiskIO
    System.Taffybar.Information.EWMHDesktopInfo
    System.Taffybar.Information.MPRIS2
    System.Taffybar.Information.Memory
    System.Taffybar.Information.Network
    System.Taffybar.Information.SafeX11
    System.Taffybar.Information.StreamInfo
    System.Taffybar.Information.X11DesktopInfo
    System.Taffybar.Information.XDG.Protocol
    System.Taffybar.LogFormatter System.Taffybar.SimpleConfig
    System.Taffybar.Support.PagerHints System.Taffybar.Util
    System.Taffybar.Widget System.Taffybar.Widget.Battery
    System.Taffybar.Widget.CPUMonitor
    System.Taffybar.Widget.CommandRunner System.Taffybar.Widget.Crypto
    System.Taffybar.Widget.DiskIOMonitor
    System.Taffybar.Widget.FSMonitor
    System.Taffybar.Widget.FreedesktopNotifications
    System.Taffybar.Widget.Generic.AutoSizeImage
    System.Taffybar.Widget.Generic.ChannelGraph
    System.Taffybar.Widget.Generic.ChannelWidget
    System.Taffybar.Widget.Generic.DynamicMenu
    System.Taffybar.Widget.Generic.Graph
    System.Taffybar.Widget.Generic.Icon
    System.Taffybar.Widget.Generic.PollingBar
    System.Taffybar.Widget.Generic.PollingGraph
    System.Taffybar.Widget.Generic.PollingLabel
    System.Taffybar.Widget.Generic.VerticalBar
    System.Taffybar.Widget.Layout System.Taffybar.Widget.MPRIS2
    System.Taffybar.Widget.NetworkGraph System.Taffybar.Widget.SNITray
    System.Taffybar.Widget.SimpleClock
    System.Taffybar.Widget.SimpleCommandButton
    System.Taffybar.Widget.Text.CPUMonitor
    System.Taffybar.Widget.Text.MemoryMonitor
    System.Taffybar.Widget.Text.NetworkMonitor
    System.Taffybar.Widget.Util System.Taffybar.Widget.Weather
    System.Taffybar.Widget.Windows System.Taffybar.Widget.Workspaces
    System.Taffybar.Widget.WttrIn System.Taffybar.Widget.XDGMenu.Menu
    System.Taffybar.Widget.XDGMenu.MenuWidget
    System.Taffybar.WindowIcon

hidden-modules:
    Paths_taffybar System.Taffybar.DBus.Client.MPRIS2
    System.Taffybar.DBus.Client.Params
    System.Taffybar.DBus.Client.UPower
    System.Taffybar.DBus.Client.UPowerDevice
    System.Taffybar.DBus.Client.Util

import-dirs:          /usr/lib/ghc-9.0.2/site-local/taffybar-4.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/taffybar-4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/taffybar
hs-libraries:         HStaffybar-4.0.0-IuYcCJ8Y7oX7JkE5NTjQll
extra-libraries:
    gtk-3 gdk-3 z pangocairo-1.0 pango-1.0 harfbuzz atk-1.0
    cairo-gobject cairo gdk_pixbuf-2.0 gio-2.0 gobject-2.0 glib-2.0

include-dirs:
    /usr/include/gtk-3.0 /usr/include/pango-1.0 /usr/include/glib-2.0
    /usr/lib/glib-2.0/include /usr/include/sysprof-4
    /usr/include/harfbuzz /usr/include/freetype2 /usr/include/libpng16
    /usr/include/libmount /usr/include/blkid /usr/include/fribidi
    /usr/include/cairo /usr/include/lzo /usr/include/pixman-1
    /usr/include/gdk-pixbuf-2.0 /usr/include/gio-unix-2.0
    /usr/include/cloudproviders /usr/include/atk-1.0
    /usr/include/at-spi2-atk/2.0 /usr/include/at-spi-2.0
    /usr/include/dbus-1.0 /usr/lib/dbus-1.0/include

depends:
    ConfigFile-1.1.4-FwbOmGNOFTZIarGxX0o11V
    HStringTemplate-0.8.8-6nYX8XSCWIP8c6xamXnZXq
    X11-1.10.3-7zBAfsIL85sJKAyVO3fFRL
    aeson-2.1.1.0-6f0SUJ6dh2u49Oyg8vjVqb
    ansi-terminal-0.11.3-A93qFpedrz0AGtHwoKTnQp base-4.15.1.0
    broadcast-chan-0.2.1.2-1M577pI5kvDIxNoVYTU4wK bytestring-0.10.12.1
    conduit-1.3.4.3-8w7VOvapRgj6cMNAX6KQDE containers-0.6.4.1
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW
    dbus-1.2.22-3SM5g5ALUtdJjQXOHbhD7V
    dbus-hslogger-0.1.0.1-Inmdwaasx4wA6uC9YSLTEb directory-1.3.6.2
    dyre-0.9.1-B9ZvWqC9u51JI4mAo5zzEH
    either-5.0.2-L48oqpiVs1mvpUhCHPYu4
    enclosed-exceptions-1.0.3-K3C0GQiXucfLBHHjW4gkla filepath-1.4.2.1
    gi-cairo-1.0.27-LLUCu4H2z3FHDVrQoseDMR
    gi-cairo-connector-0.1.1-DYCy1hCByDz6bpLKbeZmIh
    gi-cairo-render-0.1.2-9cLCvoTO5JqAlNvvlhD5IA
    gi-gdk-3.0.25-AGuTuKFL5ze3Fla7ZN0TTR
    gi-gdkpixbuf-2.0.29-9KrkFzkwww3IbYBVIHMAiJ
    gi-gdkx11-3.0.12-CZztQx4AF999YbOFCAtde0
    gi-glib-2.0.27-4nTXbCSss2v9zxO77kw0RM
    gi-gtk-3.0.38-3KBITnG6Smq5mAj1F8HuIp
    gi-gtk-hs-0.3.13-JNM7Kv6FxMC7Q18gH5QEH3
    gi-pango-1.0.27-IzxnHAXXj9PCybpV8ZDc5Z
    gtk-sni-tray-0.1.8.1-IvbKgE2bkLL1xggiaCVVRL
    gtk-strut-0.1.3.2-GrwR7TLnJ1kClIaX94Uso1
    haskell-gi-0.26.2-BFfbRiWjLHJ5X71LAKMsi8
    haskell-gi-base-0.26.1-1Bs3Ozn0LFJ4QSFDMfoWIb
    hslogger-1.3.1.0-LyUFZ0aUnxm6yN8yrxki1U
    http-client-0.7.13.1-2goREqepR1o2IUERzU3I3z
    http-client-tls-0.3.6.1-BZvC54Y0d136WBZk5IzdsM
    http-conduit-2.3.8-GgfgPQ9yLegJeZn2aJ31OS
    http-types-0.12.3-Gv30C4XbnFXDWjcAoX4JUI
    multimap-1.2.1-9JxmWLNMcxQ1AJJqmV9wuZ
    old-locale-1.0.0.7-B94o3sNLYrV8oE3WO2rqHh parsec-3.1.14.0
    process-1.6.13.2 rate-limit-1.4.2-G0JBGFJfmHtLOCTMYA1m1B
    regex-compat-0.95.2.1-itFB4fXPjn9OuocZGgbix
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    scotty-0.12.1-AvKXY49cuhf3Fim2SvuDmK
    split-0.2.3.5-7kO3TuLb37JGMIKrO7hYT4
    status-notifier-item-0.3.1.0-GnoYdliPyEKGjr2w8ORywx stm-2.5.0.0
    template-haskell-2.17.0.0 text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    time-units-1.0.0-D1nYXpAWCQ2FSIdA8ibzEx transformers-0.5.6.2
    transformers-base-0.4.6-5XVG6pzNwgnBfcVGmNVNUo
    tuple-0.3.0.2-G0KnOUhKsgO7LBVuUStRiv unix-2.7.2.2
    utf8-string-1.0.2-9eFA57BgKXNHtjvfuIOq9f
    xdg-basedir-0.2.2-DeGg1ryr7ndmwRYCQYweT
    xdg-desktop-entry-0.1.1.1-2ip9TkfWv9TmF3nm39CxS
    xml-1.3.14-6hlhhPBptprHwK7nsE7OzM
    xml-helpers-1.0.0-73lIPKak9z4HTtsjqaltEq
    xmonad-0.17.1-Ed9IDeJE3PGC8XjphBxFZp

haddock-interfaces:   /usr/share/doc/taffybar/html/taffybar.haddock
haddock-html:         /usr/share/doc/taffybar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

